RDKitFPGenerator.h File Reference
`#include <RDGeneral/export.h>`
`#include <GraphMol/Fingerprints/FingerprintGenerator.h>`

Go to the source code of this file.

## Classes

class | RDKit::RDKitFP::RDKitFPArguments< OutputType >
class | RDKit::RDKitFP::RDKitFPAtomInvGenerator
class | RDKit::RDKitFP::RDKitFPAtomEnv< OutputType >
class | RDKit::RDKitFP::RDKitFPEnvGenerator< OutputType >

## Namespaces

| RDKit
| Std stuff.
| RDKit::RDKitFP

## Functions

template<typename OutputType >

RDKIT_FINGERPRINTS_EXPORT FingerprintGenerator< OutputType > *

RDKit::RDKitFP::getRDKitFPGenerator (unsigned int minPath=1, unsigned int maxPath=7, bool useHs=true, bool branchedPaths=true, bool useBondOrder=true, AtomInvariantsGenerator *atomInvariantsGenerator=nullptr, bool countSimulation=false, const std::vector< std::uint32_t > countBounds={1, 2, 4, 8}, std::uint32_t fpSize=2048, std::uint32_t numBitsPerFeature=2, bool ownsAtomInvGen=false)

| Get a RDKit fingerprint generator with given parameters. More...